package cpcns.dingZhi.kuaiJi.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.kuaiJi.model.kuaiJi;
import cpcns.dingZhi.kuaiJi.service.IKuaiJiService;
import cpcns.dingZhi.kuaiJiWenJian.model.kuaiJiWenJian;
import cpcns.dingZhi.kuaiJiWenJian.service.IKuaiJiWenJianService;
import cpcns.printManager.PrintUtil;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"kuaiJiController"})
public class KuaiJiController extends DangAnBaseController {
  @Autowired
  private IKuaiJiService kuaiJiService;
  
  @Autowired
  private IKuaiJiWenJianService kuaiJiWenJianService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ICommonService<?> commonService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    String zhuangTai = getRequest().getParameter("zhuangTai");
    getRequest().setAttribute("zhuangTai", zhuangTai);
    return "dingZhi/kuaiJi/kuaiJi_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    kuaiJi obj = new kuaiJi();
    User user = getCurrentUser();
    obj.setQuanZongHao(user.getQuanZongHao());
    model.addAttribute("kuaiJi", obj);
    String menLei = request.getParameter("menLei");
    obj.setMenLei(menLei);
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    obj.setZhuangTai(Integer.valueOf(1));
    model.addAttribute("kuaiJi", obj);
    return "dingZhi/kuaiJi/kuaiJi_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.kuaiJiService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "dangHao"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("BIAOTI", "biaoTi").replaceAll("WENJIANKAISHISHIJIAN", "wenJianKaiShiShiJian")
        .replaceAll("WENJIANJIESHUSHIJIAN", "wenJianJieShuShiJian").replaceAll("GUIDANGRIQI", "guiDangRiQi")
        .replaceAll("DANGHAO", "dangHao").replaceAll("WENJIANBIANHAO", "wenJianBianHao")
        .replaceAll("GUIDANGRIQI", "guiDangRiQi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, kuaiJi obj) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("guiDangNianDu", obj.getGuiDangNianDu());
        map1.put("quanZongHaoString", obj.getQuanZongHao());
        map1.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map1.put("biaoTiString", obj.getBiaoTi());
        map1.put("zhuangTai_notin", "3,4");
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        String rizhi = "";
        if (!this.kuaiJiService.IsExist(map1)) {
          if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
            rizhi = "修改";
            this.kuaiJiService.update(obj);
          } else {
            rizhi = "新增";
            obj.setHangBiaoShi(Integer.valueOf(this.kuaiJiService.getPk(this.table)));
            obj.setZhuangTai(Integer.valueOf(1));
            if ("".equals(obj.getGuanLianBiaoShi()) || obj.getGuanLianBiaoShi() == null)
              obj.setGuanLianBiaoShi(Integer.valueOf(0)); 
            this.kuaiJiService.save(obj);
          } 
          rm.setSuccess(true);
          rm.addResultMessage("hangBiaoShi", obj.getHangBiaoShi());
          info = "保存成功！";
          this.kuaiJiService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), rizhi);
        } else {
          rm.setSuccess(false);
          info = "题名已存在";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String quanXian = request.getParameter("quanXian");
      String check = request.getParameter("check");
      if ("1".equals(check))
        quanXian = "false"; 
      model.addAttribute("quanXian", quanXian);
      String cxzt = request.getParameter("cxzt");
      model.addAttribute("cxzt", cxzt);
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      kuaiJi obj = (kuaiJi)this.kuaiJiService.getById(kuaiJi.class, hangBiaoShi);
      if (StringUtils.isNotBlank(obj.getMenLei()));
      GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(obj.getMenLei());
      if (dam != null) {
        model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
        model.addAttribute("fenGeFu", dam.getFenGeFu());
        model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
        model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
      } 
      model.addAttribute("kuaiJi", obj);
      this.kuaiJiService.addDA_RiZhi(getCurrentUser(), this.server, this.table, hangBiaoShi, String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "查看");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/kuaiJi/kuaiJi_edit";
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      String dangHao = request.getParameter("dangHao");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        kuaiJi kj = (kuaiJi)this.kuaiJiService.getById(kuaiJi.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        info = "删除成功！";
        this.commonService.deleteByUser(getCurrentUser(), this.server, getTable(), hangBiaoShi);
        this.kuaiJiService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), String.valueOf(biaoTi) + "$." + dangHao + "$." + kj.getMenLei(), "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/Print.do"})
  public String damlPrint(HttpServletRequest request, HttpServletResponse response, Model model) throws Exception {
    User user = getCurrentUser();
    String printService = AppConfiguration.getConfigValue("printServlet");
    String menLei = request.getParameter("menLei");
    String moban = "danganmulu_" + menLei + ".jasper";
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    HashMap<String, Object> params = new HashMap<>();
    pageBase(model);
    List<Map<String, Object>> list = this.kuaiJiService.getDate(this.table, map, user);
    List<Map<String, Object>> listAll = new ArrayList<>();
    for (Map<String, Object> m : list) {
      for (Map.Entry<String, Object> entry : m.entrySet()) {
        String key = entry.getKey();
        String value = (String)entry.getValue();
        if ("WENJIANKAISHISHIJIAN".equals(key) && StringUtils.isNotBlank(value))
          entry.setValue(value.replaceAll("=", "年").replaceAll("-", "月")); 
        if ("WENJIANJIESHUSHIJIAN".equals(key) && StringUtils.isNotBlank(value))
          entry.setValue(value.replaceAll("=", "年").replaceAll("-", "月")); 
        if ("BAOGUANQIXIAN".equals(key) && "D30".equals(value))
          entry.setValue("定期30年"); 
        if ("BAOGUANQIXIAN".equals(key) && "Y".equals(value))
          entry.setValue("永久"); 
        if ("BAOGUANQIXIAN".equals(key) && "D10".equals(value))
          entry.setValue("定期10年"); 
        if ("BAOGUANQIXIAN".equals(key) && "CY".equals(value))
          entry.setValue("长久"); 
        if ("BAOGUANQIXIAN".equals(key) && "DQ".equals(value))
          entry.setValue("定期"); 
        if ("BAOGUANQIXIAN".equals(key) && "CQ".equals(value))
          entry.setValue("长期"); 
        if ("BAOGUANQIXIAN".equals(key) && "dq".equals(value))
          entry.setValue("短期"); 
        if ("BAOGUANQIXIAN".equals(key) && "D15".equals(value))
          entry.setValue("定期15年"); 
        if ("BAOGUANQIXIAN".equals(key) && "D25".equals(value))
          entry.setValue("定期25年"); 
      } 
      listAll.add(m);
    } 
    PrintUtil.printService(request, user, printService, moban, listAll, params, "zyda");
    return "print/check";
  }
  
  @RequestMapping({"/JuanNeitoaddWenJian.do"})
  public String JuanNeitoaddWenJian(HttpServletRequest request, Model model) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String guiDangNianDu = getRequest().getParameter("guiDangNianDu");
    String baoGuanQiXian = getRequest().getParameter("baoGuanQiXian");
    String table = getRequest().getParameter("table");
    getRequest().setAttribute("hangBiaoShi", hangBiaoShi);
    getRequest().setAttribute("guiDangNianDu", guiDangNianDu);
    getRequest().setAttribute("baoGuanQiXian", baoGuanQiXian);
    return "dingZhi/kuaiJi/kuaji_addWenJian";
  }
  
  @RequestMapping({"/toAddJuanNeiWenJian.do"})
  public String addJuanNeiWenJian(HttpServletRequest request, HttpServletResponse response, Model model) {
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    String menLei = String.valueOf(map.get("menLei"));
    if (StringUtils.isNotBlank(String.valueOf(map.get("hangBiaoShi")))) {
      String hangBiaoShi = String.valueOf(map.get("hangBiaoShi"));
      String biaoshi = request.getParameter("biaoshi");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        kuaiJi obj = (kuaiJi)this.kuaiJiService.getById(kuaiJi.class, Integer.valueOf(hangBiaoShi));
        map.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map.put("guiDangNianDu", obj.getGuiDangNianDu());
        map.put("guanLianBiaoShi", hangBiaoShi);
      } else {
        map.put("guanLianBiaoShi", hangBiaoShi);
        map.put("menLei", menLei);
      } 
    } 
    request.getSession().setAttribute("map", map);
    String luJing = (String)map.get("luJing");
    return luJing;
  }
  
  @RequestMapping({"/addtoAnJuan.do"})
  public void addtoAnJuan(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String menLei = request.getParameter("menLei");
    String table = request.getParameter("table");
    String baoGuanQiXian = request.getParameter("baoGuanQiXian");
    String guiDangNianDu = request.getParameter("guiDangNianDu");
    if (StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(guanLianBiaoShi) && !"guanLianBiaoShi".equals("undefined") && StringUtils.isNotBlank(menLei)) {
      String info = "";
      String[] str = hangBiaoShi.split(",");
      kuaiJi kuaiJi = (kuaiJi)this.kuaiJiService.getById(kuaiJi.class, Integer.valueOf(guanLianBiaoShi));
      if (str.length > 0)
        for (int i = 0; i < str.length; i++) {
          String hangbiaoshi = str[i];
          kuaiJiWenJian kjwenjian = new kuaiJiWenJian();
          kjwenjian = (kuaiJiWenJian)this.kuaiJiWenJianService.getById(kuaiJiWenJian.class, Integer.valueOf(hangbiaoshi));
          String dh = "";
          dh = String.valueOf(kuaiJi.getDangHao()) + "-" + kjwenjian.getXuHao();
          System.out.println(dh);
          try {
            StringBuffer BSsql = new StringBuffer("update d_kuaiJiWenJian set guanLianBiaoShi=" + guanLianBiaoShi + ",dangHao='" + dh + "' where hangBiaoShi in(" + hangbiaoshi + ")");
            this.commonService.update(BSsql.toString());
            rm.setSuccess(true);
            info = "添加成功！";
          } catch (Exception e) {
            e.printStackTrace();
            rm.setSuccess(false);
            info = "添加失败！";
          } 
        }  
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
    } 
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/deletetoAnJuan.do"})
  public void deletetoAnJuan(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String guanLianBiaoShi = "0";
    String menLei = request.getParameter("menLei");
    String table = request.getParameter("table");
    String baoGuanQiXian = request.getParameter("baoGuanQiXian");
    String guiDangNianDu = request.getParameter("guiDangNianDu");
    if (StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(guanLianBiaoShi) && !"guanLianBiaoShi".equals("undefined") && StringUtils.isNotBlank(menLei)) {
      String info = "";
      String[] str = hangBiaoShi.split(",");
      kuaiJi kuaiJi = (kuaiJi)this.kuaiJiService.getById(kuaiJi.class, Integer.valueOf(guanLianBiaoShi));
      if (str.length > 0)
        for (int i = 0; i < str.length; i++) {
          String hangbiaoshi = str[i];
          kuaiJiWenJian kjwenjian = new kuaiJiWenJian();
          kjwenjian = (kuaiJiWenJian)this.kuaiJiWenJianService.getById(kuaiJiWenJian.class, Integer.valueOf(hangbiaoshi));
          String dh = "0";
          System.out.println(dh);
          try {
            StringBuffer BSsql = new StringBuffer("update d_kuaiJiWenJian set guanLianBiaoShi=" + guanLianBiaoShi + ",dangHao='" + dh + "' where hangBiaoShi in(" + hangbiaoshi + ")");
            this.commonService.update(BSsql.toString());
            this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_kuaiJiWenJian", Integer.valueOf(hangbiaoshi), String.valueOf(kjwenjian.getBiaoTi()) + "$." + kjwenjian.getDangHao() + "$." + kjwenjian.getMenLei(), "组卷");
            rm.setSuccess(true);
            info = "添加成功！";
          } catch (Exception e) {
            e.printStackTrace();
            rm.setSuccess(false);
            info = "添加失败！";
          } 
        }  
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
    } 
    responseWriter(response, rm.toString());
  }
}
